<template>
	<fish-card fluid>
		<fish-input hint="ID" v-model=botId></fish-input>
		<fish-input hint="Имя бота" v-model=botName></fish-input>
		<fish-button @click="updateBot" type="primary">Сохранить</fish-button>
		<div v-for="plan in schedule" :class="plan.className">
			{{plan.title}} : {{plan.start}} - {{plan.end}}
		</div>
	</fish-card>
</template>

<script>
	export default {
		name: 'Botoptions',
		methods: {
			updateBot(){
				fetch('http://93.76.249.123:3000/bot_connect?id=' + this.botId + '&name=' + this.botName).then(function (result) {
				})
			}
		},
		computed: {
			schedule(){
				return this.$store.getters.schedule;
			},
			botId: {
			    get() {return this.$store.getters.botId},
			    set(newval) {
			        chrome.storage.local.set({ botId: newval })

			        this.$store.commit('updateBotId', newval)
			    }
			},
			botName: {
			    get() {return this.$store.getters.botName},
			    set(newval) {
			        chrome.storage.local.set({ botName: newval })

			        this.$store.commit('updateBotName', newval)
			    }
			},
		}
	}
</script>